<?php
session_start(); // Iniciar a sessão para armazenar dados do usuário
include('conexao.php'); // Certifique-se de que o arquivo 'conexao.php' está configurado corretamente

// Verificar se o formulário foi enviado
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $username = $_POST['username'];
    $password = $_POST['password'];

    // Consulta segura usando prepared statements para evitar SQL injection
    $stmt = $conn->prepare("SELECT * FROM usuarios WHERE login = ? AND senha = ? LIMIT 1");
    $stmt->bind_param("ss", $username, $password);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $resultado = $result->fetch_assoc();
        $valid_username = $resultado['login'];
        $valid_password = $resultado['senha'];
        $pagina = $resultado['user'];
        $nome_sessao = $resultado['nome'];

        // Verificar as credenciais
        if ($username == $valid_username && $password == $valid_password) {
            // Se as credenciais estiverem corretas, armazenar o nome de usuário na sessão
            $_SESSION['login'] = $username;
            $_SESSION['user'] = $pagina;
            $_SESSION['nome'] = $nome_sessao;

            // Redirecionar para a página protegida
            header("Location: ".$_SESSION['user']."");
            exit();
        } else {
            // Se as credenciais estiverem incorretas, exibir uma mensagem de erro
            $error = "usuário ou senha incorretos!";
            
        }
    } else {
        // Se nenhum usuário foi encontrado, exibir uma mensagem de erro
        $error = "Nome de usuário ou senha incorretos!";
    }

    $stmt->close(); // Fechar o statement
}
?>
<!DOCTYPE html>
<html lang="pt-BR">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Colégio Ávila</title>
    <link rel="stylesheet" href="main.css">
</head>
<body>
    <div class="page">

        <form method="POST" class="formLogin" action="index.php">
            
            <center><img src="https://colegioavila.com.br/wp-content/uploads/2018/11/logo-com-sombra2.png" width="250px" /></center>
            <p>Digite os seus dados de acesso no campo abaixo.</p>
            
            <label for="text">Usuário</label>
            <input type="text" placeholder="Digite seu usuário" autofocus="true" required name="username" />
            <label for="password">Senha</label>
            <input type="password" placeholder="Digite sua senha" required name="password"/>
            <a>Confira se seus dados estão corretos e clique em acessar</a>
            <input type="submit" value="Acessar" class="btn" />
        </form>
        <?php if (isset($error)) { echo "<p style='color: red;'>$error</p>"; } ?>
    </div>
    
</body>
</html>